Skip to main content
`Ctrl`+`K`

# TaoSetGradientNorm

Sets the matrix used to define the norm that measures the size of the gradient in some of the `Tao` algorithms

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetGradientNorm(Tao tao, Mat M)

Collective

## Input Parameters

- tao - the `Tao` context

- M - matrix that defines the norm

## See Also

TAO: Optimization Solvers, `Tao`, `TaoGetGradientNorm()`, `TaoGradientNorm()`

## Level

beginner

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/tutorials/ex3.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages